Here you find some XSL transformation scripts for processing mime
type definitions in XML format as defined by the Shared MIME-info Database
specification [1]

xdg-mime actually embeds a version of these scripts, the versions in this
directory are for entertainment purposes only

[1] http://www.freedesktop.org/wiki/Standards/shared-mime-info-spec
===
Command: xsltproc sharedmime-list.xsl input-file.xml

Lists all mimetypes contained in a shared mime Database XML input file
===
Command: xsltproc --stringparam type mime/type \
                  --stringparam source input-file.xml \
                  sharedmime2mimelnk.xsl /path/to/input-file.xml

Converts the mimetype "mime/type" contained in a shared mime Database XML
input file into KDE's mimelnk format.
===
TODO:
* Add support for magic entries and convert to KDE magic chunks in
  share/config/magic/*
